package model;

public class CollisionData {
    public final static int QUADRANT_TOPRIGHT = 1;
    public final static int QUADRANT_TOPLEFT = 2;
    public final static int QUADRANT_BOTTOMRIGHT = 8;
    public final static int QUADRANT_BOTTOMLEFT = 4;
    public final static int SIDE_LEFT = 0;
    public final static int SIDE_RIGHT = 1;
    public final static int SIDE_TOP = 2;
    public final static int SIDE_BOTTOM = 3;
    public int x;
    public int y;
    public int width;
    public int height;

    public CollisionData(int x, int y, int width, int height) {
        this.x = x;
        this.y = y;
        this.width = width;
        this.height = height;
    }
}
